{% extends 'base.html' %}
{% load bootstrap_pagination %}
{% block content %}
    <div class="d-flex" id="wrapper">
        {% include "includes/analysis_sidebar.html" %}
    <div id="page-content-wrapper">
    <div class="container-fluid">
        <div class='container' style="margin-top:20px">
            <h2 class='text-center'>{{places_count}} Places</h2>
            {% if places.paginator.num_pages > 1 %}
                {% bootstrap_paginate places show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
            <p>Places detected through NER</p>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Pages</th>
                </tr>
                </thead>
                <tbody>
                {% for place in places %}
                    <tr>
                        <th scope="row"><a href='/entities/{{place.pk}}/stats'>{{ place }}</a></th>
                        <td>
                            {{place.page_set.count}}                      
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            {% if places.paginator.num_pages > 1 %}
                {% bootstrap_paginate places show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
            {% endif %} 
        </div>
    </div>
    </div>
{% endblock %}